Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.pk
Class KeyStoreImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.pk.KeyStoreImpl

    public class KeyStoreImpl

extends ProviderImpl

This is the class that all KeyStore security providers should extend to implement their security provider's configuration data, should additional data be needed. Some KeyStore security providers may find that this class provides all needed API for their configuration, and so would not extend this class.

Constructor Summary
`` | `KeyStoreImpl(ModelMBean base)` Constructor for the KeyStoreImpl object
`protected` | `KeyStoreImpl(RequiredModelMBean base)`

Method Summary

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreImpl

    public KeyStoreImpl(ModelMBean base)
                 throws MBeanException

  Constructor for the KeyStoreImpl object

  Parameters:
    `base` - Description of the Parameter
  Throws:
    `MBeanException` - Description of the Exception

### KeyStoreImpl

    protected KeyStoreImpl(RequiredModelMBean base)
                    throws MBeanException

Throws:
  `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD